Subject: Re: how do I select everything using setup for installing cygwin
From: "vipin aravind" <[email-masked]>
To: <[email-masked]>, "Raymond L Paden" <[email-masked]>
Date: Wed, 21 Nov 2001 11:20:53 +0530

didn't  you see the pakages  screen?
If you want  vim editor,  click on the  editors  on the  package-screen.  it
is  "skip" against vim by default.
you need   to  click  on the  skip till it  toggles  to install or source.
if you opt  for  source  you need  to  compile  the sources.
vipin

> I just got a new laptop with Windows 2000 and the first thing I did was
try
> to install cygwin... 3 times now, but for some reason I am not getting all
> of the utilities... things like less, vim, gcc and many other things are
> being skipped.
>
> I have downloaded setup and tried installing over the internet as well as
> downloading and installing from disk.  The problem is associated, I think,
> with the step where I select the stuff to install.  I tried to find a
> button to install everything, but the one marked Full could not be
clicked.
> There was prev, cur and something else, but it was not clear how to
install
> stuff from this.  When I type setup again (without first deleting
> everything) it says goto the control panel, but I can't find the control
> panel... what do they mean control panel?
>
> When I last installed it on my windows'95 box a year or so ago, everything
> went like clock work.  And I have 541 files installed in /bin.  Tonight, I
> have only installed 167 files in /bin.
>
> My question, suncinctly, is how do I select everything?  It will probably
> be obvious once I see the trick, but I sure can not see it now and would
> appreciate your help.
>
> I have included a portion of the log file.  For a lot stuff, the action is
> skip... but I did not skip anything knowingly.  How do I select what I
> need?
>
> Many thanks!
> Ray
>
> [binutils] action=Skip trust=unknown installed=unknown excluded=no src?=no
>      categories=Devel
>      requires=cygwin
>      [prev] ver=20010914-2
>           inst=latest/binutils/binutils-20010914-2.tar.bz2 3245867
> exists=yes
>           src=latest/binutils/binutils-20010914-2-src.tar.bz2 7817694
> exists=yes
>      [curr] ver=20011002-1
>           inst=latest/binutils/binutils-20011002-1.tar.bz2 2743741
> exists=yes
>           src=latest/binutils/binutils-20011002-1-src.tar.bz2 7869802
> exists=yes
> [bison] action=Skip trust=unknown installed=unknown excluded=no src?=no
>      categories=Devel
>      requires=cygwin
>      [curr] ver=1.28-1
>           inst=latest/bison/bison-1.28-1.tar.gz 123218 exists=yes
>           src=latest/bison/bison-1.28-1-src.tar.gz 423847 exists=yes
> [byacc] action=Skip trust=unknown installed=unknown excluded=no src?=no
>      categories=Devel
>      requires=cygwin
>      [curr] ver=0.0
>           inst=latest/byacc/byacc.tar.gz 30927 exists=yes
>           src=latest/byacc/byacc-src.tar.gz 72714 exists=yes
> ..........................
> [jpeg] action=6b-3 trust=prev installed=unknown excluded=no src?=no
>      categories=Libs, Graphics
>      requires=cygwin
>      [prev] ver=6b-3
>           inst=contrib/jpeg/jpeg-6b-3.tar.gz 300495 exists=yes
>           src=contrib/jpeg/jpeg-6b-3-src.tar.gz 1058149 exists=yes
>      [curr] ver=6b-4
>           inst=contrib/jpeg/jpeg-6b-4.tar.gz 300702 exists=yes
>           src=contrib/jpeg/jpeg-6b-4-src.tar.gz 1058247 exists=yes
>
>
> -----------------------------
> Raymond L. Paden, Ph.D.
> I/O Architect & Project Management
> ST&C WW, Industrial Sector
> Phone:  713-940-1084 (external), 345-1084 (T/L)
> [email-masked]
> 2 Riverway
> Houston, TX   77056
>
> "Science is what we understand well enough to explain to a computer;  art
> is everything else."  - D.E.Knuth, July'87
>
>
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/